GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/bsd-uthread.h File Reference

Go to the source code of this file.

## Functions
void | bsd_uthread_set_supply_uthread (struct gdbarch *gdbarch, void(*supply_uthread)(struct regcache *, int, CORE_ADDR))
void | bsd_uthread_set_collect_uthread (struct gdbarch *gdbarch, void(*collect_uthread)(const struct regcache *, int, CORE_ADDR))

## Function Documentation

## ◆ bsd_uthread_set_collect_uthread()

void bsd_uthread_set_collect_uthread | ( | struct gdbarch * | gdbarch,
|  | void(*)(const struct regcache *, int, CORE_ADDR) | collect_uthread
| ) |  |

Definition at line 81 of file bsd-uthread.c.

References bsd_uthread_data, and bsd_uthread_ops::collect_uthread.

Referenced by amd64obsd_init_abi(), i386obsd_init_abi(), sparc32obsd_init_abi(), and sparc64obsd_init_abi().

## ◆ bsd_uthread_set_supply_uthread()

void bsd_uthread_set_supply_uthread | ( | struct gdbarch * | gdbarch,
|  | void(*)(struct regcache *, int, CORE_ADDR) | supply_uthread
| ) |  |

Definition at line 67 of file bsd-uthread.c.

References bsd_uthread_data, and bsd_uthread_ops::supply_uthread.

Referenced by amd64obsd_init_abi(), i386obsd_init_abi(), sparc32obsd_init_abi(), and sparc64obsd_init_abi().